JsValue
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Interface JsValue

All Known Subinterfaces:
  JsArray, JsFunction, JsObject

    public interface JsValue

An object that represents a browser JavaScript VM variable value (compound or atomic.)

In some backends values (currently only strings) are loaded with a size limit. The value part that exceeds the limit is truncated. The full value can be loaded by `reloadHeavyValue(org.chromium.sdk.JsValue.ReloadBiggerCallback, org.chromium.sdk.SyncCallback)` method.

Nested Class Summary
`static interface` | `JsValue.ReloadBiggerCallback`
`static class` | `JsValue.Type` Type of a JavaScript value.

Method Summary
`JsObject` | `asObject()` Return this value cast to `JsObject` or `null` if this value is not an object.
`JsValue.Type` | `getType()`
`java.lang.String` | `getValueString()`
`boolean` | `isTruncated()`
`RelayOk` | `reloadHeavyValue(JsValue.ReloadBiggerCallback callback, SyncCallback syncCallback)` Asynchronously reloads object value with extended size limit.

Method Detail

### getType

    JsValue.Type getType()

  Returns:
    this value type

### getValueString

    java.lang.String getValueString()

  Returns:
    a string representation of this value

### asObject

    JsObject asObject()

  Return this value cast to `JsObject` or `null` if this value is not an object. See `JsValue.Type.isObjectType(org.chromium.sdk.JsValue.Type)` method for details.

  Returns:
    this or null

### isTruncated

    boolean isTruncated()

  Returns:
    whether the value of the object has been truncated while loaded

### reloadHeavyValue

    RelayOk reloadHeavyValue(JsValue.ReloadBiggerCallback callback,
                             SyncCallback syncCallback)

  Asynchronously reloads object value with extended size limit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD